{ flake, pkgs, lib, ... }:
let font = "Rec Mono Duotone";
in {
  imports = [ flake.inputs.ghostty.homeModules.default ];

  programs.ghostty = {
    enable = true;
    # ghostty is externally managed for now
    package = null;
    settings = {
      # TODO: auto-theme
      config-file = [ "${pkgs.terminal-themes}/ghostty/rose-pine" ];
      # TODO: powerline replacements
      font-family = font;
      font-family-bold = "${font} Bold";
      font-family-italic = "${font} Italic";
      font-family-bold-italic = "${font} Bold Italic";
      font-size = 15;
      background-opacity = 0.95;
      unfocused-split-opacity = 0.8;
      window-decoration = true;
      window-padding-x = 10;
      window-padding-y = 10;
      # use system clipboard on e.g. macOS
      copy-on-select = "clipboard";
    } // lib.optionalAttrs pkgs.stdenv.isDarwin {
      background-blur-radius = 20;
      macos-non-native-fullscreen = "visible-menu";
      macos-option-as-alt = true;
    };
  };
}
