{ pkgs, lib, ... }: {
  imports = [ ./extras/helix/auto-theme.nix ];
  programs.helix = {
    enable = true;
    defaultEditor = true;

    settings.editor = {
      bufferline = "multiple";
      color-modes = true;
      cursor-shape.insert = "bar";
      cursorline = true;
      indent-guides = {
        render = true;
        skip-levels = 1;
      };
      line-number = "relative";
      soft-wrap.enable = true;
      whitespace.render = {
        space = "none";
        tab = "all";
        newline = "all";
      };
    };

    # grammars = [{
    #   name = "lalrpop";
    #   source = {
    #     git = "https://github.com/traxys/tree-sitter-lalrpop";
    #     rev = "7744b56f03ac1e5643fad23c9dd90837fe97291e";
    #   };
    # }];

    autoTheme = lib.mkIf pkgs.stdenv.isDarwin {
      enable = true;
      light = "rose_pine_dawn";
      dark = "rose_pine";
    };
  };
}
