{ self, config, ... }: {
  flake.nixosModules = {
    common.imports = [ ./nix.nix ./caches ];

    home = let inherit (config.users) me;
    in {
      home-manager.users.${me} = { imports = [ self.homeModules.linux ]; };
      users.users.${me} = {
        name = me;
        home = "/home/${me}";
        isNormalUser = true;
      };
    };

    default.imports = [
      self.nixosModules.home-manager
      self.nixosModules.home
      self.nixosModules.common
      ./ssh-access.nix
    ];
  };
}
