inputs: self: super: {
  inherit (inputs) terminal-themes;
  dark-mode-notify = self.callPackage ./dark-mode-notify.nix {
    inherit (inputs) dark-mode-notify-src;
  };
  # get flake inputs prefixed with fish-plugin- and inject them into fishPlugins as a single list
  fishPlugins = super.fishPlugins // {
    flakePlugins = let
      srcs =
        self.lib.filterAttrs (input: _: self.lib.hasPrefix "fish-plugin-" input)
        inputs;
    in self.lib.mapAttrsToList (input: src: {
      name = self.lib.removePrefix "fish-plugin-" input;
      inherit src;
    }) srcs;
  };
  ia-writer-family = self.callPackage ./ia-writer-family.nix {
    inherit (inputs) ia-writer-family-src;
  };
  recursive-patched = self.callPackage ./recursive-patched.nix { };
  yubiswitch = self.callPackage ./yubiswitch.nix { };
}
